curl -X DELETE https://kliio.app/api/v1/time-entries/te-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/time-entries/te-uuid-...', {
method: 'DELETE',
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const result = await res.json()
{
"success": true,
"message": "Time entry deleted"
}
{ "error": "Time entry not found or access denied" }
Time Entries
Delete Time Entry
Permanently deletes a time entry.
DELETE
/
api
/
v1
/
time-entries
/
{id}
curl -X DELETE https://kliio.app/api/v1/time-entries/te-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/time-entries/te-uuid-...', {
method: 'DELETE',
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const result = await res.json()
{
"success": true,
"message": "Time entry deleted"
}
{ "error": "Time entry not found or access denied" }
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
UUID of the time entry to delete.
This action is irreversible.
Response
boolean
true on deletion.string
"Time entry deleted"curl -X DELETE https://kliio.app/api/v1/time-entries/te-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/time-entries/te-uuid-...', {
method: 'DELETE',
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const result = await res.json()
{
"success": true,
"message": "Time entry deleted"
}
{ "error": "Time entry not found or access denied" }

